# RPM specfile for Xaw3d module
# Generated Tue May 21 15:35:27 2002 GMT by Ximian build system
# $Id: bb_do,v 1.177 2002/03/05 23:03:00 jacob Exp $
# from $Id: ximian-build.conf,v 1.10 2002/01/20 04:04:41 frb Exp $

%define nam	Xaw3d
%define ver	1.3
%define ximrev	1

Name:     	libXaw3d6
Version: 	1.3
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.1 / i586
Copyright:	MIT
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
Source0:	Xaw3d-1.3.tar.gz
Patch0:		Xaw3d-rh-imakefile.patch
Patch1:		Xaw3d-rh-glibc.patch
Patch2:		Xaw3d-rh-X11R6.3.patch
Summary:	A version of the MIT Athena widget set for X.
Group:		System Environment/Libraries
Provides:	ximian-libXaw3d6 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.

This package only exists to fill dependencies on libXaw3d.so.6. The
headers and static libraries are not packaged.

%files
%defattr(-, root, root)
%doc lib/Xaw3d/README.XAW3D
/usr/X11R6/lib/libXaw*.so.*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n xc
    ;;
all)
%setup  -q -n xc
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    cd lib/Xaw3d && xmkmf
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    cd lib/Xaw3d && ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    mkdir -p ${DESTDIR}/usr/X11R6/lib; cp lib/Xaw3d/*.so.* ${DESTDIR}/usr/X11R6/lib
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue May 21 2002 Ximian, Inc.

- Version: 1.3-1.ximian.1
- Summary: New build.
- New automated build.

